#!/usr/bin/env bash

MAXY=10000
MAXX=10000
SEED=1337
END=30

DESTINATION="../data/secret/generated"
rm -rf $DESTINATION
mkdir -p $DESTINATION

for n in $(seq 1 $END)
do
    ./generate.py -n $n -x $MAXX -y $MAXY -s $SEED > $DESTINATION/secret_$n.in
done

for f in $DESTINATION/*.in
do
    echo "solving $f"
    ../submissions/accepted/brigt.py < $f > ${f%???}.ans
done
